Subject: bug#39161: closed (Re: TeX Live issues)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 17 Jan 2020 12:06:02 +0000

Your bug report

#39161: TeX Live issues

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
39161: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=39161
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: TeX Live issues
From: Ricardo Wurmus <[email-masked]>
To: [email-masked]
Cc: Marco van Hulten <[email-masked]>
Date: Fri, 17 Jan 2020 13:05:28 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Ricardo Wurmus <[email-masked]> writes:

> texlive-latex-base provides ltluatex.lua.  This file is generated from
> ltluatex.dtx.
>
> ltluatex.dtx contains literal tabs in the embedded Lua sources.  Upon
> unpacking the dtx file to generate the file ltluatex.lua these tabs are
> erroneously converted to the string “^^I”, which breaks the lualatex
> tool and all other tools that derive from it.
>
> It is easy to patch ltluatex.dtx, but this will lead to rebuilding 3480
> dependent packages.

Done on core-updates in commit 201015b10e.

-- 
Ricardo

Subject: Re: TeX Live issues
From: Ricardo Wurmus <[email-masked]>
To: Marco van Hulten <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Fri, 17 Jan 2020 10:03:04 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Marco,

> I am unable to use LaTeX and friends.  I get this error:

Hmm, something broke here.  I also cannot compile my older documents any
more.  I’ll investigate.

> Can I do something to test the more modular set-up of TeX Live?

I’m only using the modular set up and it appears to suffer from the
exact same issue.

-- 
Ricardo